import java.io.Writer;
import java.io.OutputStreamWriter;
import java.io.FileOutputStream;
import java.io.FileNotFoundException;

class FichierEcriture
{
	Writer fichier;
		
	public FichierEcriture(String nom_fichier_a_ecrire)
	{
		try
		{
			fichier = new OutputStreamWriter(new FileOutputStream(nom_fichier_a_ecrire), "UTF-8");
		}
		catch(Exception e)
		{
			System.out.println("Le fichier "+nom_fichier_a_ecrire+" n'a pas pu etre ouvert.");
			System.out.println("Verifiez que le nom et le chemin d'acces du fichier sont corrects, que ce n'est pas un dossier,");
			System.out.println("et que vous avez les droits d'ecriture sur le fichier.");
			System.out.println("Le repertoire courant de travail est :");
			System.out.println(System.getProperties().get("user.dir"));
			System.out.println("Le programme se termine a cause de cette erreur.");
			System.exit(0);
		}
	}

	public void ecrire_caractere(char c)
	{
		try
		{
			fichier.write((int)c);	
			fichier.flush();
		}
		catch(Exception e)
		{
			System.out.println("Erreur pendant la lecture du fichier.");
			System.out.println("Le programme se termine a cause de cette erreur.");
			System.exit(0);
		}
	}
}
